<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>RecipientChunks (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="RecipientChunks (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/RecipientChunks.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.TimePropertyValue.html"
               title="class in org.apache.poi.hsmf.datatypes"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hsmf/datatypes/RecipientChunks.RecipientChunksSorter.html"
               title="class in org.apache.poi.hsmf.datatypes"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hsmf/datatypes/RecipientChunks.html"
               target="_top">Frames</a></li>
        <li><a href="RecipientChunks.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hsmf.datatypes</div>
    <h2 title="Class RecipientChunks" class="title">Class RecipientChunks</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.hsmf.datatypes.RecipientChunks</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/hsmf/datatypes/ChunkGroup.html"
                           title="interface in org.apache.poi.hsmf.datatypes">ChunkGroup</a>, <a
                            href="../../../../../org/apache/poi/hsmf/datatypes/ChunkGroupWithProperties.html"
                            title="interface in org.apache.poi.hsmf.datatypes">ChunkGroupWithProperties</a></dd>
                </dl>
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">RecipientChunks</span>
extends java.lang.Object
implements <a href="../../../../../org/apache/poi/hsmf/datatypes/ChunkGroupWithProperties.html"
              title="interface in org.apache.poi.hsmf.datatypes">ChunkGroupWithProperties</a></pre>
                <div class="block">Collection of convenience chunks for the Recip(ient) part of an outlook file.

                    If a message has multiple recipients, there will be several of these.
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ======== NESTED CLASS SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="nested.class.summary">
                        <!--   -->
                    </a>
                        <h3>Nested Class Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Nested Class Summary table, listing nested classes, and an explanation">
                            <caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Class and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static class&nbsp;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/RecipientChunks.RecipientChunksSorter.html"
                                        title="class in org.apache.poi.hsmf.datatypes">RecipientChunks.RecipientChunksSorter</a></span></code>
                                    <div class="block">Orders by the recipient number.</div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/MAPIProperty.html"
                                        title="class in org.apache.poi.hsmf.datatypes">MAPIProperty</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/RecipientChunks.html#DELIVERY_TYPE">DELIVERY_TYPE</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                        title="class in org.apache.poi.hsmf.datatypes">StringChunk</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/RecipientChunks.html#deliveryTypeChunk">deliveryTypeChunk</a></span></code>
                                    <div class="block">Normally EX or SMTP.</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/RecipientChunks.html#PREFIX">PREFIX</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/MAPIProperty.html"
                                        title="class in org.apache.poi.hsmf.datatypes">MAPIProperty</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/RecipientChunks.html#RECIPIENT_DISPLAY_NAME">RECIPIENT_DISPLAY_NAME</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/MAPIProperty.html"
                                        title="class in org.apache.poi.hsmf.datatypes">MAPIProperty</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/RecipientChunks.html#RECIPIENT_EMAIL_ADDRESS">RECIPIENT_EMAIL_ADDRESS</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/MAPIProperty.html"
                                        title="class in org.apache.poi.hsmf.datatypes">MAPIProperty</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/RecipientChunks.html#RECIPIENT_NAME">RECIPIENT_NAME</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/MAPIProperty.html"
                                        title="class in org.apache.poi.hsmf.datatypes">MAPIProperty</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/RecipientChunks.html#RECIPIENT_SEARCH">RECIPIENT_SEARCH</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static <a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/MAPIProperty.html"
                                        title="class in org.apache.poi.hsmf.datatypes">MAPIProperty</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/RecipientChunks.html#RECIPIENT_SMTP_ADDRESS">RECIPIENT_SMTP_ADDRESS</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                        title="class in org.apache.poi.hsmf.datatypes">StringChunk</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/RecipientChunks.html#recipientDisplayNameChunk">recipientDisplayNameChunk</a></span></code>
                                    <div class="block">The display name of the recipient.</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                        title="class in org.apache.poi.hsmf.datatypes">StringChunk</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/RecipientChunks.html#recipientEmailChunk">recipientEmailChunk</a></span></code>
                                    <div class="block">The email address of the recipient, which could be in SMTP or
                                        SEARCH
                                        format, but isn't always present...
                                    </div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                        title="class in org.apache.poi.hsmf.datatypes">StringChunk</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/RecipientChunks.html#recipientNameChunk">recipientNameChunk</a></span></code>
                                    <div class="block">The "name", which could be their name if an internal person, or
                                        their
                                        email address if an external person
                                    </div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/RecipientChunks.html#recipientNumber">recipientNumber</a></span></code>
                                    <div class="block">Our 0 based position in the list of recipients</div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/ByteChunk.html"
                                        title="class in org.apache.poi.hsmf.datatypes">ByteChunk</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/RecipientChunks.html#recipientSearchChunk">recipientSearchChunk</a></span></code>
                                    <div class="block">TODO</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                        title="class in org.apache.poi.hsmf.datatypes">StringChunk</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/RecipientChunks.html#recipientSMTPChunk">recipientSMTPChunk</a></span></code>
                                    <div class="block">The smtp destination email address of the recipient, but isn't
                                        always
                                        present...
                                    </div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/RecipientChunks.html#RecipientChunks-java.lang.String-">RecipientChunks</a></span>(java.lang.String&nbsp;name)</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/RecipientChunks.html#chunksComplete--">chunksComplete</a></span>()</code>
                                    <div class="block">Called by the parser when all chunks have been found.</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Chunk.html"
                                        title="class in org.apache.poi.hsmf.datatypes">Chunk</a>[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/RecipientChunks.html#getAll--">getAll</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Chunk.html"
                                        title="class in org.apache.poi.hsmf.datatypes">Chunk</a>[]</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/RecipientChunks.html#getChunks--">getChunks</a></span>()</code>
                                    <div class="block">Returns the chunks that make up the group.</div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>java.util.Map&lt;<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/MAPIProperty.html"
                                        title="class in org.apache.poi.hsmf.datatypes">MAPIProperty</a>,java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.html"
                                        title="class in org.apache.poi.hsmf.datatypes">PropertyValue</a>&gt;&gt;</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/RecipientChunks.html#getProperties--">getProperties</a></span>()</code>
                                    <div class="block">Returns all the Properties contained in the Chunk, along with
                                        their
                                        Values.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/RecipientChunks.html#getRecipientEmailAddress--">getRecipientEmailAddress</a></span>()</code>
                                    <div class="block">Tries to find their email address, in whichever chunk holds it
                                        given the
                                        delivery type.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/RecipientChunks.html#getRecipientName--">getRecipientName</a></span>()</code>
                                    <div class="block">Tries to find their name, in whichever chunk holds it.</div>
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/RecipientChunks.html#record-org.apache.poi.hsmf.datatypes.Chunk-">record</a></span>(<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Chunk.html"
                                        title="class in org.apache.poi.hsmf.datatypes">Chunk</a>&nbsp;chunk)</code>
                                    <div class="block">Called by the parser whenever a chunk is found.</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="PREFIX">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>PREFIX</h4>
                                <pre>public static final&nbsp;java.lang.String PREFIX</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hsmf.datatypes.RecipientChunks.PREFIX">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="RECIPIENT_NAME">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>RECIPIENT_NAME</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/MAPIProperty.html"
                                        title="class in org.apache.poi.hsmf.datatypes">MAPIProperty</a> RECIPIENT_NAME</pre>
                            </li>
                        </ul>
                        <a name="DELIVERY_TYPE">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>DELIVERY_TYPE</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/MAPIProperty.html"
                                        title="class in org.apache.poi.hsmf.datatypes">MAPIProperty</a> DELIVERY_TYPE</pre>
                            </li>
                        </ul>
                        <a name="RECIPIENT_EMAIL_ADDRESS">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>RECIPIENT_EMAIL_ADDRESS</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/MAPIProperty.html"
                                        title="class in org.apache.poi.hsmf.datatypes">MAPIProperty</a> RECIPIENT_EMAIL_ADDRESS</pre>
                            </li>
                        </ul>
                        <a name="RECIPIENT_SEARCH">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>RECIPIENT_SEARCH</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/MAPIProperty.html"
                                        title="class in org.apache.poi.hsmf.datatypes">MAPIProperty</a> RECIPIENT_SEARCH</pre>
                            </li>
                        </ul>
                        <a name="RECIPIENT_SMTP_ADDRESS">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>RECIPIENT_SMTP_ADDRESS</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/MAPIProperty.html"
                                        title="class in org.apache.poi.hsmf.datatypes">MAPIProperty</a> RECIPIENT_SMTP_ADDRESS</pre>
                            </li>
                        </ul>
                        <a name="RECIPIENT_DISPLAY_NAME">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>RECIPIENT_DISPLAY_NAME</h4>
                                <pre>public static final&nbsp;<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/MAPIProperty.html"
                                        title="class in org.apache.poi.hsmf.datatypes">MAPIProperty</a> RECIPIENT_DISPLAY_NAME</pre>
                            </li>
                        </ul>
                        <a name="recipientNumber">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>recipientNumber</h4>
                                <pre>public&nbsp;int recipientNumber</pre>
                                <div class="block">Our 0 based position in the list of recipients</div>
                            </li>
                        </ul>
                        <a name="recipientSearchChunk">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>recipientSearchChunk</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hsmf/datatypes/ByteChunk.html"
                                                    title="class in org.apache.poi.hsmf.datatypes">ByteChunk</a> recipientSearchChunk</pre>
                                <div class="block">TODO</div>
                            </li>
                        </ul>
                        <a name="recipientNameChunk">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>recipientNameChunk</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                                    title="class in org.apache.poi.hsmf.datatypes">StringChunk</a> recipientNameChunk</pre>
                                <div class="block">The "name", which could be their name if an internal person, or their
                                    email address if an external person
                                </div>
                            </li>
                        </ul>
                        <a name="recipientEmailChunk">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>recipientEmailChunk</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                                    title="class in org.apache.poi.hsmf.datatypes">StringChunk</a> recipientEmailChunk</pre>
                                <div class="block">The email address of the recipient, which could be in SMTP or SEARCH
                                    format, but isn't always present...
                                </div>
                            </li>
                        </ul>
                        <a name="recipientSMTPChunk">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>recipientSMTPChunk</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                                    title="class in org.apache.poi.hsmf.datatypes">StringChunk</a> recipientSMTPChunk</pre>
                                <div class="block">The smtp destination email address of the recipient, but isn't always
                                    present...
                                </div>
                            </li>
                        </ul>
                        <a name="deliveryTypeChunk">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>deliveryTypeChunk</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                                    title="class in org.apache.poi.hsmf.datatypes">StringChunk</a> deliveryTypeChunk</pre>
                                <div class="block">Normally EX or SMTP. Will generally affect where the email address
                                    ends
                                    up.
                                </div>
                            </li>
                        </ul>
                        <a name="recipientDisplayNameChunk">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>recipientDisplayNameChunk</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hsmf/datatypes/StringChunk.html"
                                                    title="class in org.apache.poi.hsmf.datatypes">StringChunk</a> recipientDisplayNameChunk</pre>
                                <div class="block">The display name of the recipient. Normally seems to hold the same
                                    value
                                    as in recipientNameChunk
                                </div>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="RecipientChunks-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>RecipientChunks</h4>
                                <pre>public&nbsp;RecipientChunks(java.lang.String&nbsp;name)</pre>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getRecipientName--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRecipientName</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getRecipientName()</pre>
                                <div class="block">Tries to find their name, in whichever chunk holds it.</div>
                            </li>
                        </ul>
                        <a name="getRecipientEmailAddress--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRecipientEmailAddress</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getRecipientEmailAddress()</pre>
                                <div class="block">Tries to find their email address, in whichever chunk holds it given
                                    the
                                    delivery type.
                                </div>
                            </li>
                        </ul>
                        <a name="getProperties--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getProperties</h4>
                                <pre>public&nbsp;java.util.Map&lt;<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/MAPIProperty.html"
                                        title="class in org.apache.poi.hsmf.datatypes">MAPIProperty</a>,java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.html"
                                        title="class in org.apache.poi.hsmf.datatypes">PropertyValue</a>&gt;&gt;&nbsp;getProperties()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/ChunkGroupWithProperties.html#getProperties--">ChunkGroupWithProperties</a></code></span>
                                </div>
                                <div class="block">Returns all the Properties contained in the Chunk, along with their
                                    Values. Normally, each property will have one value, sometimes none, and
                                    rarely multiple (normally for Unknown etc). For fixed sized properties,
                                    the value can be fetched straight from the <a
                                            href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.html"
                                            title="class in org.apache.poi.hsmf.datatypes"><code>PropertyValue</code></a>.
                                    For
                                    variable sized properties, you'll need to go via the chunk.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hsmf/datatypes/ChunkGroupWithProperties.html#getProperties--">getProperties</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hsmf/datatypes/ChunkGroupWithProperties.html"
                                                title="interface in org.apache.poi.hsmf.datatypes">ChunkGroupWithProperties</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getAll--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getAll</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hsmf/datatypes/Chunk.html"
                                                    title="class in org.apache.poi.hsmf.datatypes">Chunk</a>[]&nbsp;getAll()</pre>
                            </li>
                        </ul>
                        <a name="getChunks--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getChunks</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/hsmf/datatypes/Chunk.html"
                                                    title="class in org.apache.poi.hsmf.datatypes">Chunk</a>[]&nbsp;getChunks()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/ChunkGroup.html#getChunks--">ChunkGroup</a></code></span>
                                </div>
                                <div class="block">Returns the chunks that make up the group. Should certainly contain
                                    all
                                    the interesting Chunks, but needn't always contain all of the Chunks.
                                </div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hsmf/datatypes/ChunkGroup.html#getChunks--">getChunks</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hsmf/datatypes/ChunkGroup.html"
                                                title="interface in org.apache.poi.hsmf.datatypes">ChunkGroup</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="record-org.apache.poi.hsmf.datatypes.Chunk-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>record</h4>
                                <pre>public&nbsp;void&nbsp;record(<a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/Chunk.html"
                                        title="class in org.apache.poi.hsmf.datatypes">Chunk</a>&nbsp;chunk)</pre>
                                <div class="block">Called by the parser whenever a chunk is found.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hsmf/datatypes/ChunkGroup.html#record-org.apache.poi.hsmf.datatypes.Chunk-">record</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hsmf/datatypes/ChunkGroup.html"
                                                title="interface in org.apache.poi.hsmf.datatypes">ChunkGroup</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="chunksComplete--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>chunksComplete</h4>
                                <pre>public&nbsp;void&nbsp;chunksComplete()</pre>
                                <div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a
                                        href="../../../../../org/apache/poi/hsmf/datatypes/ChunkGroup.html#chunksComplete--">ChunkGroup</a></code></span>
                                </div>
                                <div class="block">Called by the parser when all chunks have been found.</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hsmf/datatypes/ChunkGroup.html#chunksComplete--">chunksComplete</a></code>&nbsp;in
                                        interface&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hsmf/datatypes/ChunkGroup.html"
                                                title="interface in org.apache.poi.hsmf.datatypes">ChunkGroup</a></code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/RecipientChunks.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hsmf/datatypes/PropertyValue.TimePropertyValue.html"
               title="class in org.apache.poi.hsmf.datatypes"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hsmf/datatypes/RecipientChunks.RecipientChunksSorter.html"
               title="class in org.apache.poi.hsmf.datatypes"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hsmf/datatypes/RecipientChunks.html"
               target="_top">Frames</a></li>
        <li><a href="RecipientChunks.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
